
void printResults() {  // for each completed round of pings print results to serial: note stats line is built differently (listStats()  )for end of round averages
  //loss values: 192.168.1.1; 0,  3; 192.168.1.11; 0,  3; 192.168.1.21; 2,500; 192.168.1.22; 2,500; 192.168.1.34; 0,  2; 192.168.1.24; 0,  3; 107.162.133.62; 0, 21; 
  statsLine = "loss values: ";
  for (int n = 0; n <= 6; n++) {
    statsLine += host1[n].ipString;
    statsLine += "; ";
    char temp1[4], temp3[7];
    snprintf(temp1, 4, "%d,", host1[n].nLost);
    snprintf(temp3, 6, "%3d; ", host1[n].tPing);
    statsLine += temp1;
    statsLine += temp3;
  }
  if (diagnostic_serial) Serial.println(statsLine);
}

void listStats() {
  //prepare header line for printing Dont use colons because then date gets separated: example formats shown below
  //Date; Time; 192.168.1.1 lost; wait; 192.168.1.11 lost; wait; 192.168.1.21 lost; wait; 192.168.1.22 lost; wait; 192.168.1.34 lost; wait; 192.168.1.24 lost; wait; 107.162.133.62 lost; wait; 
  //prepare stats line for printing  - around 180 - 200 characters.
  //05/09/2021, 09:00:03;  0.00, 0.50;   0.00, 0.60;   0.20, 50.00;   0.20, 50.00;   0.00, 0.50;   0.00, 0.50;   0.00, 1.90;   
  headLine = "Date; Time; ";
  statsLine = "";
  statsLine += myFormattedDate;
  statsLine += ";  ";
  for (int n = 0; n <= 6; n++) {
    headLine += host1[n].ipString;
    headLine += lostWait;
    //prepare total loss values and ping averages - force excel to see as floats
    host1[n].nAvPing = (pingLossTotals[n] / nRounds);
    host1[n].tAvPing = (tPingTotals[n] / nRounds);
    statsLine += host1[n].nAvPing;
    statsLine += ", ";
    statsLine += host1[n].tAvPing;
    statsLine += ";   ";
  }
  statsLine += "\n";
  headLine += "\n";
  if(diagnostic_serial){
  Serial.print("\n \n");
  Serial.print(headLine);
  Serial.print(statsLine);
  }
}
